Index: src/southbridge/nvidia/ck804/id.inc
===================================================================
--- src/southbridge/nvidia/ck804/id.inc	(Revision 4716)
+++ src/southbridge/nvidia/ck804/id.inc	(Arbeitskopie)
@@ -8,7 +8,7 @@
 	.asciz CONFIG_MAINBOARD_PART_NUMBER
 .long __id_end + 0x80 - vendor       /* Reverse offset to the vendor ID */
 .long __id_end + 0x80 - part         /* Reverse offset to the part number */
-.long CONFIG_PAYLOAD_SIZE + CONFIG_ROM_IMAGE_SIZE  /* Size of this ROM image */
+.long CONFIG_ROM_SIZE                /* Size of this ROM image */
 	.globl __id_end
 
 __id_end:
Index: src/southbridge/nvidia/mcp55/id.inc
===================================================================
--- src/southbridge/nvidia/mcp55/id.inc	(Revision 4716)
+++ src/southbridge/nvidia/mcp55/id.inc	(Arbeitskopie)
@@ -29,7 +29,7 @@
 	.asciz CONFIG_MAINBOARD_PART_NUMBER
 .long __id_end + 0x80 - vendor  /* Reverse offset to the vendor id */
 .long __id_end + 0x80 - part    /* Reverse offset to the part number */
-.long CONFIG_PAYLOAD_SIZE + CONFIG_ROM_IMAGE_SIZE  /* Size of this romimage */
+.long CONFIG_ROM_SIZE           /* Size of this romimage */
 	.globl __id_end
 
 __id_end:
Index: src/southbridge/sis/sis966/id.inc
===================================================================
--- src/southbridge/sis/sis966/id.inc	(Revision 4716)
+++ src/southbridge/sis/sis966/id.inc	(Arbeitskopie)
@@ -29,7 +29,7 @@
 	.asciz CONFIG_MAINBOARD_PART_NUMBER
 .long __id_end + 0x80 - vendor  /* Reverse offset to the vendor id */
 .long __id_end + 0x80 - part    /* Reverse offset to the part number */
-.long CONFIG_PAYLOAD_SIZE + CONFIG_ROM_IMAGE_SIZE  /* Size of this romimage */
+.long CONFIG_ROM_SIZE           /* Size of this romimage */
 	.globl __id_end
 
 __id_end:
Index: src/mainboard/iwill/dk8_htx/Options.lb
===================================================================
--- src/mainboard/iwill/dk8_htx/Options.lb	(Revision 4716)
+++ src/mainboard/iwill/dk8_htx/Options.lb	(Arbeitskopie)
@@ -23,10 +23,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/iwill/dk8s2/Options.lb
===================================================================
--- src/mainboard/iwill/dk8s2/Options.lb	(Revision 4716)
+++ src/mainboard/iwill/dk8s2/Options.lb	(Arbeitskopie)
@@ -16,10 +16,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/iwill/dk8x/Options.lb
===================================================================
--- src/mainboard/iwill/dk8x/Options.lb	(Revision 4716)
+++ src/mainboard/iwill/dk8x/Options.lb	(Arbeitskopie)
@@ -16,10 +16,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/axus/tc320/Options.lb
===================================================================
--- src/mainboard/axus/tc320/Options.lb	(Revision 4716)
+++ src/mainboard/axus/tc320/Options.lb	(Arbeitskopie)
@@ -40,8 +40,6 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/bcom/winnetp680/Options.lb
===================================================================
--- src/mainboard/bcom/winnetp680/Options.lb	(Revision 4716)
+++ src/mainboard/bcom/winnetp680/Options.lb	(Arbeitskopie)
@@ -41,10 +41,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/bcom/winnet100/Options.lb
===================================================================
--- src/mainboard/bcom/winnet100/Options.lb	(Revision 4716)
+++ src/mainboard/bcom/winnet100/Options.lb	(Arbeitskopie)
@@ -40,8 +40,6 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/televideo/tc7020/Options.lb
===================================================================
--- src/mainboard/televideo/tc7020/Options.lb	(Revision 4716)
+++ src/mainboard/televideo/tc7020/Options.lb	(Arbeitskopie)
@@ -40,8 +40,6 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/broadcom/blast/Options.lb
===================================================================
--- src/mainboard/broadcom/blast/Options.lb	(Revision 4716)
+++ src/mainboard/broadcom/blast/Options.lb	(Arbeitskopie)
@@ -19,10 +19,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/thomson/ip1000/Options.lb
===================================================================
--- src/mainboard/thomson/ip1000/Options.lb	(Revision 4716)
+++ src/mainboard/thomson/ip1000/Options.lb	(Arbeitskopie)
@@ -26,7 +26,6 @@
 uses CONFIG_PCI_OPTION_ROM_RUN_REALMODE
 uses CONFIG_PCI_ROM_RUN
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2
 uses CONFIG_UDELAY_TSC
 uses CONFIG_VIDEO_MB
@@ -48,7 +47,6 @@
 uses CONFIG_MAINBOARD_PART_NUMBER
 uses CONFIG_MAXIMUM_CONSOLE_LOGLEVEL
 uses CONFIG_OBJCOPY
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_RAMBASE
 uses CONFIG_ROMBASE
 uses CONFIG_ROM_IMAGE_SIZE
Index: src/mainboard/supermicro/x6dai_g/Options.lb
===================================================================
--- src/mainboard/supermicro/x6dai_g/Options.lb	(Revision 4716)
+++ src/mainboard/supermicro/x6dai_g/Options.lb	(Arbeitskopie)
@@ -16,10 +16,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/supermicro/h8dmr/Options.lb
===================================================================
--- src/mainboard/supermicro/h8dmr/Options.lb	(Revision 4716)
+++ src/mainboard/supermicro/h8dmr/Options.lb	(Arbeitskopie)
@@ -44,11 +44,9 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/supermicro/x6dhe_g/Options.lb
===================================================================
--- src/mainboard/supermicro/x6dhe_g/Options.lb	(Revision 4716)
+++ src/mainboard/supermicro/x6dhe_g/Options.lb	(Arbeitskopie)
@@ -16,10 +16,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/supermicro/h8dme/Options.lb
===================================================================
--- src/mainboard/supermicro/h8dme/Options.lb	(Revision 4716)
+++ src/mainboard/supermicro/h8dme/Options.lb	(Arbeitskopie)
@@ -44,11 +44,9 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/supermicro/x6dhe_g2/Options.lb
===================================================================
--- src/mainboard/supermicro/x6dhe_g2/Options.lb	(Revision 4716)
+++ src/mainboard/supermicro/x6dhe_g2/Options.lb	(Arbeitskopie)
@@ -16,10 +16,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/supermicro/h8dmr_fam10/Options.lb
===================================================================
--- src/mainboard/supermicro/h8dmr_fam10/Options.lb	(Revision 4716)
+++ src/mainboard/supermicro/h8dmr_fam10/Options.lb	(Arbeitskopie)
@@ -44,10 +44,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/supermicro/x6dhr_ig/Options.lb
===================================================================
--- src/mainboard/supermicro/x6dhr_ig/Options.lb	(Revision 4716)
+++ src/mainboard/supermicro/x6dhr_ig/Options.lb	(Arbeitskopie)
@@ -16,10 +16,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/supermicro/x6dhr_ig2/Options.lb
===================================================================
--- src/mainboard/supermicro/x6dhr_ig2/Options.lb	(Revision 4716)
+++ src/mainboard/supermicro/x6dhr_ig2/Options.lb	(Arbeitskopie)
@@ -16,10 +16,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/soyo/sy-6ba-plus-iii/Options.lb
===================================================================
--- src/mainboard/soyo/sy-6ba-plus-iii/Options.lb	(Revision 4716)
+++ src/mainboard/soyo/sy-6ba-plus-iii/Options.lb	(Arbeitskopie)
@@ -40,9 +40,7 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/kontron/986lcd-m/Options.lb
===================================================================
--- src/mainboard/kontron/986lcd-m/Options.lb	(Revision 4716)
+++ src/mainboard/kontron/986lcd-m/Options.lb	(Arbeitskopie)
@@ -49,10 +49,8 @@
 uses CONFIG_ROM_SECTION_OFFSET
 # Payload
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 # Build Internals
 uses CONFIG_RAMBASE
 uses CONFIG_ROMBASE
Index: src/mainboard/a-trend/atc-6240/Options.lb
===================================================================
--- src/mainboard/a-trend/atc-6240/Options.lb	(Revision 4716)
+++ src/mainboard/a-trend/atc-6240/Options.lb	(Arbeitskopie)
@@ -40,9 +40,7 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/a-trend/atc-6220/Options.lb
===================================================================
--- src/mainboard/a-trend/atc-6220/Options.lb	(Revision 4716)
+++ src/mainboard/a-trend/atc-6220/Options.lb	(Arbeitskopie)
@@ -40,9 +40,7 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/gigabyte/m57sli/Options.lb
===================================================================
--- src/mainboard/gigabyte/m57sli/Options.lb	(Revision 4716)
+++ src/mainboard/gigabyte/m57sli/Options.lb	(Arbeitskopie)
@@ -44,11 +44,9 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/gigabyte/ga_2761gxdk/Options.lb
===================================================================
--- src/mainboard/gigabyte/ga_2761gxdk/Options.lb	(Revision 4716)
+++ src/mainboard/gigabyte/ga_2761gxdk/Options.lb	(Arbeitskopie)
@@ -46,11 +46,9 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/gigabyte/ga-6bxc/Options.lb
===================================================================
--- src/mainboard/gigabyte/ga-6bxc/Options.lb	(Revision 4716)
+++ src/mainboard/gigabyte/ga-6bxc/Options.lb	(Arbeitskopie)
@@ -40,9 +40,7 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/digitallogic/msm800sev/Options.lb
===================================================================
--- src/mainboard/digitallogic/msm800sev/Options.lb	(Revision 4716)
+++ src/mainboard/digitallogic/msm800sev/Options.lb	(Arbeitskopie)
@@ -20,11 +20,9 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/digitallogic/adl855pc/Options.lb
===================================================================
--- src/mainboard/digitallogic/adl855pc/Options.lb	(Revision 4716)
+++ src/mainboard/digitallogic/adl855pc/Options.lb	(Arbeitskopie)
@@ -21,10 +21,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/digitallogic/msm586seg/Options.lb
===================================================================
--- src/mainboard/digitallogic/msm586seg/Options.lb	(Revision 4716)
+++ src/mainboard/digitallogic/msm586seg/Options.lb	(Arbeitskopie)
@@ -22,10 +22,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/emulation/qemu-x86/Config.lb
===================================================================
--- src/mainboard/emulation/qemu-x86/Config.lb	(Revision 4716)
+++ src/mainboard/emulation/qemu-x86/Config.lb	(Arbeitskopie)
@@ -9,16 +9,9 @@
 default CONFIG_ROM_SECTION_OFFSET = 0
 
 ##
-## Compute the start location and size size of
-## The coreboot bootloader.
-##
-default CONFIG_PAYLOAD_SIZE            = ( CONFIG_ROM_SIZE - CONFIG_ROM_IMAGE_SIZE )
-default CONFIG_ROM_PAYLOAD_START = (0xffffffff - CONFIG_ROM_SIZE + CONFIG_ROM_SECTION_OFFSET + 1)
-
-##
 ## Compute where this copy of coreboot will start in the boot rom
 ##
-default CONFIG_ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + CONFIG_PAYLOAD_SIZE )
+default CONFIG_ROMBASE      = (0xffffffff - CONFIG_ROM_SIZE + CONFIG_ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute a range of ROM that can cached to speed up coreboot,
Index: src/mainboard/emulation/qemu-x86/Options.lb
===================================================================
--- src/mainboard/emulation/qemu-x86/Options.lb	(Revision 4716)
+++ src/mainboard/emulation/qemu-x86/Options.lb	(Arbeitskopie)
@@ -24,8 +24,6 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/olpc/btest/Options.lb
===================================================================
--- src/mainboard/olpc/btest/Options.lb	(Revision 4716)
+++ src/mainboard/olpc/btest/Options.lb	(Arbeitskopie)
@@ -20,11 +20,9 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/olpc/rev_a/Options.lb
===================================================================
--- src/mainboard/olpc/rev_a/Options.lb	(Revision 4716)
+++ src/mainboard/olpc/rev_a/Options.lb	(Arbeitskopie)
@@ -20,11 +20,9 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/mitac/6513wu/Options.lb
===================================================================
--- src/mainboard/mitac/6513wu/Options.lb	(Revision 4716)
+++ src/mainboard/mitac/6513wu/Options.lb	(Arbeitskopie)
@@ -37,13 +37,11 @@
 uses CONFIG_MAINBOARD_VENDOR
 uses CONFIG_MAXIMUM_CONSOLE_LOGLEVEL
 uses CONFIG_OBJCOPY
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_PCI_ROM_RUN
 uses CONFIG_RAMBASE
 uses CONFIG_ROMBASE
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SIZE
Index: src/mainboard/technologic/ts5300/Options.lb
===================================================================
--- src/mainboard/technologic/ts5300/Options.lb	(Revision 4716)
+++ src/mainboard/technologic/ts5300/Options.lb	(Arbeitskopie)
@@ -22,10 +22,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/amd/pistachio/Options.lb
===================================================================
--- src/mainboard/amd/pistachio/Options.lb	(Revision 4716)
+++ src/mainboard/amd/pistachio/Options.lb	(Arbeitskopie)
@@ -40,9 +40,7 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/amd/dbm690t/Options.lb
===================================================================
--- src/mainboard/amd/dbm690t/Options.lb	(Revision 4716)
+++ src/mainboard/amd/dbm690t/Options.lb	(Arbeitskopie)
@@ -40,9 +40,7 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/amd/rumba/Options.lb
===================================================================
--- src/mainboard/amd/rumba/Options.lb	(Revision 4716)
+++ src/mainboard/amd/rumba/Options.lb	(Arbeitskopie)
@@ -20,10 +20,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/amd/serengeti_cheetah/Options.lb
===================================================================
--- src/mainboard/amd/serengeti_cheetah/Options.lb	(Revision 4716)
+++ src/mainboard/amd/serengeti_cheetah/Options.lb	(Arbeitskopie)
@@ -23,10 +23,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/amd/norwich/Options.lb
===================================================================
--- src/mainboard/amd/norwich/Options.lb	(Revision 4716)
+++ src/mainboard/amd/norwich/Options.lb	(Arbeitskopie)
@@ -20,11 +20,9 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/amd/serengeti_cheetah_fam10/Options.lb
===================================================================
--- src/mainboard/amd/serengeti_cheetah_fam10/Options.lb	(Revision 4716)
+++ src/mainboard/amd/serengeti_cheetah_fam10/Options.lb	(Arbeitskopie)
@@ -42,10 +42,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/amd/db800/Options.lb
===================================================================
--- src/mainboard/amd/db800/Options.lb	(Revision 4716)
+++ src/mainboard/amd/db800/Options.lb	(Arbeitskopie)
@@ -20,11 +20,9 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/biostar/m6tba/Options.lb
===================================================================
--- src/mainboard/biostar/m6tba/Options.lb	(Revision 4716)
+++ src/mainboard/biostar/m6tba/Options.lb	(Arbeitskopie)
@@ -40,9 +40,7 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/azza/pt-6ibd/Options.lb
===================================================================
--- src/mainboard/azza/pt-6ibd/Options.lb	(Revision 4716)
+++ src/mainboard/azza/pt-6ibd/Options.lb	(Arbeitskopie)
@@ -40,9 +40,7 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/nec/powermate2000/Options.lb
===================================================================
--- src/mainboard/nec/powermate2000/Options.lb	(Revision 4716)
+++ src/mainboard/nec/powermate2000/Options.lb	(Arbeitskopie)
@@ -40,10 +40,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/rca/rm4100/Options.lb
===================================================================
--- src/mainboard/rca/rm4100/Options.lb	(Revision 4716)
+++ src/mainboard/rca/rm4100/Options.lb	(Arbeitskopie)
@@ -26,7 +26,6 @@
 uses CONFIG_PCI_OPTION_ROM_RUN_REALMODE
 uses CONFIG_PCI_ROM_RUN
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2
 uses CONFIG_UDELAY_TSC
 uses CONFIG_VIDEO_MB
@@ -48,7 +47,6 @@
 uses CONFIG_MAINBOARD_PART_NUMBER
 uses CONFIG_MAXIMUM_CONSOLE_LOGLEVEL
 uses CONFIG_OBJCOPY
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_RAMBASE
 uses CONFIG_ROMBASE
 uses CONFIG_ROM_IMAGE_SIZE
Index: src/mainboard/iei/nova4899r/Options.lb
===================================================================
--- src/mainboard/iei/nova4899r/Options.lb	(Revision 4716)
+++ src/mainboard/iei/nova4899r/Options.lb	(Arbeitskopie)
@@ -20,8 +20,6 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/iei/pcisa-lx-800-r10/Options.lb
===================================================================
--- src/mainboard/iei/pcisa-lx-800-r10/Options.lb	(Revision 4716)
+++ src/mainboard/iei/pcisa-lx-800-r10/Options.lb	(Arbeitskopie)
@@ -40,12 +40,10 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESS
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/iei/juki-511p/Config.lb
===================================================================
--- src/mainboard/iei/juki-511p/Config.lb	(Revision 4716)
+++ src/mainboard/iei/juki-511p/Config.lb	(Arbeitskopie)
@@ -5,16 +5,9 @@
 default CONFIG_ROM_SIZE = 256 * 1024 
 
 ##
-## Compute the start location and size size of
-## The coreboot bootloader.
-##
-default CONFIG_PAYLOAD_SIZE            = ( CONFIG_ROM_SECTION_SIZE - CONFIG_ROM_IMAGE_SIZE )
-default CONFIG_ROM_PAYLOAD_START = (0xffffffff - CONFIG_ROM_SIZE + CONFIG_ROM_SECTION_OFFSET + 1)
-
-##
 ## Compute where this copy of coreboot will start in the boot rom
 ##
-default CONFIG_ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + CONFIG_PAYLOAD_SIZE )
+default CONFIG_ROMBASE      = (0xffffffff - CONFIG_ROM_SIZE + CONFIG_ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute a range of ROM that can cached to speed up coreboot,
Index: src/mainboard/iei/juki-511p/Options.lb
===================================================================
--- src/mainboard/iei/juki-511p/Options.lb	(Revision 4716)
+++ src/mainboard/iei/juki-511p/Options.lb	(Arbeitskopie)
@@ -25,8 +25,6 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/hp/dl145_g3/Options.lb
===================================================================
--- src/mainboard/hp/dl145_g3/Options.lb	(Revision 4716)
+++ src/mainboard/hp/dl145_g3/Options.lb	(Arbeitskopie)
@@ -45,10 +45,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/artecgroup/dbe61/Options.lb
===================================================================
--- src/mainboard/artecgroup/dbe61/Options.lb	(Revision 4716)
+++ src/mainboard/artecgroup/dbe61/Options.lb	(Arbeitskopie)
@@ -20,11 +20,9 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/pcengines/alix1c/Options.lb
===================================================================
--- src/mainboard/pcengines/alix1c/Options.lb	(Revision 4716)
+++ src/mainboard/pcengines/alix1c/Options.lb	(Arbeitskopie)
@@ -40,11 +40,9 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/tyan/s2912/Options.lb
===================================================================
--- src/mainboard/tyan/s2912/Options.lb	(Revision 4716)
+++ src/mainboard/tyan/s2912/Options.lb	(Arbeitskopie)
@@ -44,11 +44,9 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/tyan/s2850/Options.lb
===================================================================
--- src/mainboard/tyan/s2850/Options.lb	(Revision 4716)
+++ src/mainboard/tyan/s2850/Options.lb	(Arbeitskopie)
@@ -17,10 +17,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/tyan/s2735/Options.lb
===================================================================
--- src/mainboard/tyan/s2735/Options.lb	(Revision 4716)
+++ src/mainboard/tyan/s2735/Options.lb	(Arbeitskopie)
@@ -19,10 +19,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/tyan/s2880/Options.lb
===================================================================
--- src/mainboard/tyan/s2880/Options.lb	(Revision 4716)
+++ src/mainboard/tyan/s2880/Options.lb	(Arbeitskopie)
@@ -17,10 +17,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/tyan/s1846/Options.lb
===================================================================
--- src/mainboard/tyan/s1846/Options.lb	(Revision 4716)
+++ src/mainboard/tyan/s1846/Options.lb	(Arbeitskopie)
@@ -40,10 +40,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/tyan/s2881/Options.lb
===================================================================
--- src/mainboard/tyan/s2881/Options.lb	(Revision 4716)
+++ src/mainboard/tyan/s2881/Options.lb	(Arbeitskopie)
@@ -17,10 +17,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/tyan/s2882/Options.lb
===================================================================
--- src/mainboard/tyan/s2882/Options.lb	(Revision 4716)
+++ src/mainboard/tyan/s2882/Options.lb	(Arbeitskopie)
@@ -17,10 +17,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/tyan/s2891/Options.lb
===================================================================
--- src/mainboard/tyan/s2891/Options.lb	(Revision 4716)
+++ src/mainboard/tyan/s2891/Options.lb	(Arbeitskopie)
@@ -17,10 +17,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/tyan/s4880/Options.lb
===================================================================
--- src/mainboard/tyan/s4880/Options.lb	(Revision 4716)
+++ src/mainboard/tyan/s4880/Options.lb	(Arbeitskopie)
@@ -17,10 +17,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/tyan/s2892/Options.lb
===================================================================
--- src/mainboard/tyan/s2892/Options.lb	(Revision 4716)
+++ src/mainboard/tyan/s2892/Options.lb	(Arbeitskopie)
@@ -17,10 +17,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/tyan/s2875/Options.lb
===================================================================
--- src/mainboard/tyan/s2875/Options.lb	(Revision 4716)
+++ src/mainboard/tyan/s2875/Options.lb	(Arbeitskopie)
@@ -17,10 +17,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/tyan/s4882/Options.lb
===================================================================
--- src/mainboard/tyan/s4882/Options.lb	(Revision 4716)
+++ src/mainboard/tyan/s4882/Options.lb	(Arbeitskopie)
@@ -17,10 +17,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/tyan/s2885/Options.lb
===================================================================
--- src/mainboard/tyan/s2885/Options.lb	(Revision 4716)
+++ src/mainboard/tyan/s2885/Options.lb	(Arbeitskopie)
@@ -17,10 +17,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/tyan/s2895/Options.lb
===================================================================
--- src/mainboard/tyan/s2895/Options.lb	(Revision 4716)
+++ src/mainboard/tyan/s2895/Options.lb	(Arbeitskopie)
@@ -20,10 +20,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/tyan/s2912_fam10/Options.lb
===================================================================
--- src/mainboard/tyan/s2912_fam10/Options.lb	(Revision 4716)
+++ src/mainboard/tyan/s2912_fam10/Options.lb	(Arbeitskopie)
@@ -44,10 +44,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/asi/mb_5blgp/Options.lb
===================================================================
--- src/mainboard/asi/mb_5blgp/Options.lb	(Revision 4716)
+++ src/mainboard/asi/mb_5blgp/Options.lb	(Arbeitskopie)
@@ -40,8 +40,6 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/asi/mb_5blmp/Options.lb
===================================================================
--- src/mainboard/asi/mb_5blmp/Options.lb	(Revision 4716)
+++ src/mainboard/asi/mb_5blmp/Options.lb	(Arbeitskopie)
@@ -17,12 +17,10 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESS
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/lippert/roadrunner-lx/Options.lb
===================================================================
--- src/mainboard/lippert/roadrunner-lx/Options.lb	(Revision 4716)
+++ src/mainboard/lippert/roadrunner-lx/Options.lb	(Arbeitskopie)
@@ -42,12 +42,10 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESS
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/lippert/frontrunner/Options.lb
===================================================================
--- src/mainboard/lippert/frontrunner/Options.lb	(Revision 4716)
+++ src/mainboard/lippert/frontrunner/Options.lb	(Arbeitskopie)
@@ -20,10 +20,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/lippert/spacerunner-lx/Options.lb
===================================================================
--- src/mainboard/lippert/spacerunner-lx/Options.lb	(Revision 4716)
+++ src/mainboard/lippert/spacerunner-lx/Options.lb	(Arbeitskopie)
@@ -42,12 +42,10 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESS
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/abit/be6-ii_v2_0/Options.lb
===================================================================
--- src/mainboard/abit/be6-ii_v2_0/Options.lb	(Revision 4716)
+++ src/mainboard/abit/be6-ii_v2_0/Options.lb	(Arbeitskopie)
@@ -40,10 +40,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/via/epia-m700/Options.lb
===================================================================
--- src/mainboard/via/epia-m700/Options.lb	(Revision 4716)
+++ src/mainboard/via/epia-m700/Options.lb	(Arbeitskopie)
@@ -40,10 +40,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/via/vt8454c/Options.lb
===================================================================
--- src/mainboard/via/vt8454c/Options.lb	(Revision 4716)
+++ src/mainboard/via/vt8454c/Options.lb	(Arbeitskopie)
@@ -46,10 +46,8 @@
 
 uses CONFIG_COMPRESS
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
Index: src/mainboard/via/epia-m/Options.lb
===================================================================
--- src/mainboard/via/epia-m/Options.lb	(Revision 4716)
+++ src/mainboard/via/epia-m/Options.lb	(Arbeitskopie)
@@ -20,11 +20,9 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/via/epia-n/Options.lb
===================================================================
--- src/mainboard/via/epia-n/Options.lb	(Revision 4716)
+++ src/mainboard/via/epia-n/Options.lb	(Arbeitskopie)
@@ -43,10 +43,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
@@ -96,9 +94,7 @@
 default CONFIG_HAVE_ACPI_TABLES = 1
 default CONFIG_HAVE_OPTION_TABLE = 1
 #default CONFIG_ROM_IMAGE_SIZE = 67 * 1024
-#default CONFIG_PAYLOAD_SIZE = 125 * 1024
 default CONFIG_ROM_IMAGE_SIZE = 128 * 1024
-default CONFIG_PAYLOAD_SIZE = 256 * 1024
 default CONFIG_FALLBACK_SIZE = CONFIG_ROM_IMAGE_SIZE
 default CONFIG_USE_FALLBACK_IMAGE = 1
 default CONFIG_STACK_SIZE = 8 * 1024
Index: src/mainboard/via/epia-cn/Options.lb
===================================================================
--- src/mainboard/via/epia-cn/Options.lb	(Revision 4716)
+++ src/mainboard/via/epia-cn/Options.lb	(Arbeitskopie)
@@ -41,10 +41,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/via/epia/Options.lb
===================================================================
--- src/mainboard/via/epia/Options.lb	(Revision 4716)
+++ src/mainboard/via/epia/Options.lb	(Arbeitskopie)
@@ -29,10 +29,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/via/pc2500e/Options.lb
===================================================================
--- src/mainboard/via/pc2500e/Options.lb	(Revision 4716)
+++ src/mainboard/via/pc2500e/Options.lb	(Arbeitskopie)
@@ -42,10 +42,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/compaq/deskpro_en_sff_p600/Options.lb
===================================================================
--- src/mainboard/compaq/deskpro_en_sff_p600/Options.lb	(Revision 4716)
+++ src/mainboard/compaq/deskpro_en_sff_p600/Options.lb	(Arbeitskopie)
@@ -40,9 +40,7 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/dell/s1850/Options.lb
===================================================================
--- src/mainboard/dell/s1850/Options.lb	(Revision 4716)
+++ src/mainboard/dell/s1850/Options.lb	(Arbeitskopie)
@@ -16,10 +16,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/msi/ms7135/Options.lb
===================================================================
--- src/mainboard/msi/ms7135/Options.lb	(Revision 4716)
+++ src/mainboard/msi/ms7135/Options.lb	(Arbeitskopie)
@@ -42,9 +42,7 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/msi/ms6119/Options.lb
===================================================================
--- src/mainboard/msi/ms6119/Options.lb	(Revision 4716)
+++ src/mainboard/msi/ms6119/Options.lb	(Arbeitskopie)
@@ -40,9 +40,7 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/msi/ms6147/Options.lb
===================================================================
--- src/mainboard/msi/ms6147/Options.lb	(Revision 4716)
+++ src/mainboard/msi/ms6147/Options.lb	(Arbeitskopie)
@@ -40,9 +40,7 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/msi/ms9282/Options.lb
===================================================================
--- src/mainboard/msi/ms9282/Options.lb	(Revision 4716)
+++ src/mainboard/msi/ms9282/Options.lb	(Arbeitskopie)
@@ -41,8 +41,6 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/msi/ms6178/Options.lb
===================================================================
--- src/mainboard/msi/ms6178/Options.lb	(Revision 4716)
+++ src/mainboard/msi/ms6178/Options.lb	(Arbeitskopie)
@@ -40,10 +40,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/msi/ms9185/Options.lb
===================================================================
--- src/mainboard/msi/ms9185/Options.lb	(Revision 4716)
+++ src/mainboard/msi/ms9185/Options.lb	(Arbeitskopie)
@@ -44,10 +44,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/msi/ms7260/Options.lb
===================================================================
--- src/mainboard/msi/ms7260/Options.lb	(Revision 4716)
+++ src/mainboard/msi/ms7260/Options.lb	(Arbeitskopie)
@@ -40,11 +40,9 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/arima/hdama/Options.lb
===================================================================
--- src/mainboard/arima/hdama/Options.lb	(Revision 4716)
+++ src/mainboard/arima/hdama/Options.lb	(Arbeitskopie)
@@ -16,10 +16,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/sunw/ultra40/Options.lb
===================================================================
--- src/mainboard/sunw/ultra40/Options.lb	(Revision 4716)
+++ src/mainboard/sunw/ultra40/Options.lb	(Arbeitskopie)
@@ -17,10 +17,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/advantech/pcm-5820/Options.lb
===================================================================
--- src/mainboard/advantech/pcm-5820/Options.lb	(Revision 4716)
+++ src/mainboard/advantech/pcm-5820/Options.lb	(Arbeitskopie)
@@ -40,8 +40,6 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/eaglelion/5bcm/Options.lb
===================================================================
--- src/mainboard/eaglelion/5bcm/Options.lb	(Revision 4716)
+++ src/mainboard/eaglelion/5bcm/Options.lb	(Arbeitskopie)
@@ -20,10 +20,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/newisys/khepri/Options.lb
===================================================================
--- src/mainboard/newisys/khepri/Options.lb	(Revision 4716)
+++ src/mainboard/newisys/khepri/Options.lb	(Arbeitskopie)
@@ -17,10 +17,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/jetway/j7f24/Options.lb
===================================================================
--- src/mainboard/jetway/j7f24/Options.lb	(Revision 4716)
+++ src/mainboard/jetway/j7f24/Options.lb	(Arbeitskopie)
@@ -41,10 +41,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/technexion/tim8690/Options.lb
===================================================================
--- src/mainboard/technexion/tim8690/Options.lb	(Revision 4716)
+++ src/mainboard/technexion/tim8690/Options.lb	(Arbeitskopie)
@@ -40,9 +40,7 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/ibm/e326/Options.lb
===================================================================
--- src/mainboard/ibm/e326/Options.lb	(Revision 4716)
+++ src/mainboard/ibm/e326/Options.lb	(Arbeitskopie)
@@ -16,10 +16,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/ibm/e325/Options.lb
===================================================================
--- src/mainboard/ibm/e325/Options.lb	(Revision 4716)
+++ src/mainboard/ibm/e325/Options.lb	(Arbeitskopie)
@@ -16,10 +16,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/nvidia/l1_2pvv/Options.lb
===================================================================
--- src/mainboard/nvidia/l1_2pvv/Options.lb	(Revision 4716)
+++ src/mainboard/nvidia/l1_2pvv/Options.lb	(Arbeitskopie)
@@ -44,11 +44,9 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/intel/xe7501devkit/Options.lb
===================================================================
--- src/mainboard/intel/xe7501devkit/Options.lb	(Revision 4716)
+++ src/mainboard/intel/xe7501devkit/Options.lb	(Arbeitskopie)
@@ -47,8 +47,6 @@
 uses CONFIG_IDE
 
 ## The default definitions are used for these
-uses CONFIG_ROM_PAYLOAD_START
-uses CONFIG_PAYLOAD_SIZE
 
 ## These are defined in target Config.lb, don't add here
 uses CONFIG_USE_FALLBACK_IMAGE
Index: src/mainboard/intel/truxton/Options.lb
===================================================================
--- src/mainboard/intel/truxton/Options.lb	(Revision 4716)
+++ src/mainboard/intel/truxton/Options.lb	(Arbeitskopie)
@@ -34,10 +34,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_LB_MEM_TOPK
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/intel/mtarvon/Options.lb
===================================================================
--- src/mainboard/intel/mtarvon/Options.lb	(Revision 4716)
+++ src/mainboard/intel/mtarvon/Options.lb	(Arbeitskopie)
@@ -34,9 +34,7 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/intel/eagleheights/Options.lb
===================================================================
--- src/mainboard/intel/eagleheights/Options.lb	(Revision 4716)
+++ src/mainboard/intel/eagleheights/Options.lb	(Arbeitskopie)
@@ -48,11 +48,9 @@
 uses CONFIG_ROM_SECTION_OFFSET
 # Payload
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 # Build Internals
 uses CONFIG_RAMBASE
 uses CONFIG_ROMBASE
Index: src/mainboard/intel/jarrell/Options.lb
===================================================================
--- src/mainboard/intel/jarrell/Options.lb	(Revision 4716)
+++ src/mainboard/intel/jarrell/Options.lb	(Arbeitskopie)
@@ -16,10 +16,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/asus/mew-am/Options.lb
===================================================================
--- src/mainboard/asus/mew-am/Options.lb	(Revision 4716)
+++ src/mainboard/asus/mew-am/Options.lb	(Arbeitskopie)
@@ -40,9 +40,7 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/asus/p2b/Options.lb
===================================================================
--- src/mainboard/asus/p2b/Options.lb	(Revision 4716)
+++ src/mainboard/asus/p2b/Options.lb	(Arbeitskopie)
@@ -40,10 +40,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/asus/p2b-d/Options.lb
===================================================================
--- src/mainboard/asus/p2b-d/Options.lb	(Revision 4716)
+++ src/mainboard/asus/p2b-d/Options.lb	(Arbeitskopie)
@@ -40,10 +40,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/asus/p2b-f/Options.lb
===================================================================
--- src/mainboard/asus/p2b-f/Options.lb	(Revision 4716)
+++ src/mainboard/asus/p2b-f/Options.lb	(Arbeitskopie)
@@ -40,9 +40,7 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/asus/a8v-e_se/Options.lb
===================================================================
--- src/mainboard/asus/a8v-e_se/Options.lb	(Revision 4716)
+++ src/mainboard/asus/a8v-e_se/Options.lb	(Arbeitskopie)
@@ -36,8 +36,6 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/asus/p2b-ds/Options.lb
===================================================================
--- src/mainboard/asus/p2b-ds/Options.lb	(Revision 4716)
+++ src/mainboard/asus/p2b-ds/Options.lb	(Arbeitskopie)
@@ -40,10 +40,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/asus/p3b-f/Options.lb
===================================================================
--- src/mainboard/asus/p3b-f/Options.lb	(Revision 4716)
+++ src/mainboard/asus/p3b-f/Options.lb	(Arbeitskopie)
@@ -40,9 +40,7 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/asus/mew-vm/Options.lb
===================================================================
--- src/mainboard/asus/mew-vm/Options.lb	(Revision 4716)
+++ src/mainboard/asus/mew-vm/Options.lb	(Arbeitskopie)
@@ -20,10 +20,8 @@
 uses CONFIG_ROM_IMAGE_SIZE
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
Index: src/mainboard/asus/a8n_e/Options.lb
===================================================================
--- src/mainboard/asus/a8n_e/Options.lb	(Revision 4716)
+++ src/mainboard/asus/a8n_e/Options.lb	(Arbeitskopie)
@@ -41,10 +41,8 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/mainboard/asus/m2v-mx_se/Options.lb
===================================================================
--- src/mainboard/asus/m2v-mx_se/Options.lb	(Revision 4716)
+++ src/mainboard/asus/m2v-mx_se/Options.lb	(Arbeitskopie)
@@ -36,8 +36,6 @@
 uses CONFIG_ROM_SECTION_SIZE
 uses CONFIG_ROM_SECTION_OFFSET
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_ROMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
Index: src/config/nofailovercalculation.lb
===================================================================
--- src/config/nofailovercalculation.lb	(Revision 4716)
+++ src/config/nofailovercalculation.lb	(Arbeitskopie)
@@ -11,16 +11,9 @@
 end
 
 ##
-## Compute the start location and size size of
-## The coreboot bootloader.
-##
-default CONFIG_PAYLOAD_SIZE            = ( CONFIG_ROM_SECTION_SIZE - CONFIG_ROM_IMAGE_SIZE )
-default CONFIG_ROM_PAYLOAD_START = (0xffffffff - CONFIG_ROM_SIZE + CONFIG_ROM_SECTION_OFFSET + 1)
-
-##
 ## Compute where this copy of coreboot will start in the boot rom
 ##
-default CONFIG_ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + CONFIG_PAYLOAD_SIZE )
+default CONFIG_ROMBASE      = (0xffffffff - CONFIG_ROM_SIZE + CONFIG_ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute a range of ROM that can cached to speed up coreboot,
Index: src/config/failovercalculation.lb
===================================================================
--- src/config/failovercalculation.lb	(Revision 4716)
+++ src/config/failovercalculation.lb	(Arbeitskopie)
@@ -16,16 +16,9 @@
 end
 
 ##
-## Compute the start location and size size of
-## The coreboot bootloader.
-##
-default CONFIG_PAYLOAD_SIZE            = ( CONFIG_ROM_SECTION_SIZE - CONFIG_ROM_IMAGE_SIZE )
-default CONFIG_ROM_PAYLOAD_START = (0xffffffff - CONFIG_ROM_SIZE + CONFIG_ROM_SECTION_OFFSET + 1)
-
-##
 ## Compute where this copy of coreboot will start in the boot rom
 ##
-default CONFIG_ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + CONFIG_PAYLOAD_SIZE )
+default CONFIG_ROMBASE      = (0xffffffff - CONFIG_ROM_SIZE + CONFIG_ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute a range of ROM that can cached to speed up coreboot,
Index: src/config/Options.lb
===================================================================
--- src/config/Options.lb	(Revision 4716)
+++ src/config/Options.lb	(Arbeitskopie)
@@ -246,14 +246,8 @@
 	export used
 	comment "Default rom section offset"
 end
-define CONFIG_PAYLOAD_SIZE
-	default {CONFIG_ROM_SECTION_SIZE - CONFIG_ROM_IMAGE_SIZE}
-	format "0x%x"
-	export always
-	comment "Default payload size"
-end
 define CONFIG_ROMBASE
-	default {CONFIG_PAYLOAD_SIZE}
+	default {0xffffffff - CONFIG_ROM_SIZE + 1}
 	format "0x%x"
 	export always
 	comment "Base address of coreboot in ROM"
@@ -646,12 +640,6 @@
 	export always
 	comment "Boot image is located in ROM" 
 end
-define CONFIG_ROM_PAYLOAD_START
-	default {0xffffffff - CONFIG_ROM_SIZE + CONFIG_ROM_SECTION_OFFSET + 1}
-	format "0x%x"
-	export always
-	comment "ROM stream start location"
-end
 define CONFIG_COMPRESSED_PAYLOAD_NRV2B
 	default 0
 	export always
Index: src/arch/i386/lib/failover_failover.lds
===================================================================
--- src/arch/i386/lib/failover_failover.lds	(Revision 4716)
+++ src/arch/i386/lib/failover_failover.lds	(Arbeitskopie)
@@ -1,2 +1,2 @@
-	__fallback_image = (CONFIG_ROM_PAYLOAD_START & 0xfffffff0) - 8;
-	__normal_image = ((CONFIG_ROM_PAYLOAD_START - CONFIG_FALLBACK_SIZE) & 0xfffffff0) - 8;
+	__fallback_image = (CONFIG_ROMBASE & 0xfffffff0) - 8;
+	__normal_image = ((CONFIG_ROMBASE - CONFIG_FALLBACK_SIZE) & 0xfffffff0) - 8;
Index: src/arch/i386/lib/failover.lds
===================================================================
--- src/arch/i386/lib/failover.lds	(Revision 4716)
+++ src/arch/i386/lib/failover.lds	(Arbeitskopie)
@@ -1 +1 @@
-	__normal_image = (CONFIG_ROM_PAYLOAD_START & 0xfffffff0) - 8;
+	__normal_image = (CONFIG_ROMBASE & 0xfffffff0) - 8;
Index: src/arch/i386/lib/id.inc
===================================================================
--- src/arch/i386/lib/id.inc	(Revision 4716)
+++ src/arch/i386/lib/id.inc	(Arbeitskopie)
@@ -8,7 +8,7 @@
 	.asciz CONFIG_MAINBOARD_PART_NUMBER
 .long __id_end + 0x10 - vendor  /* Reverse offset to the vendor id */
 .long __id_end + 0x10 - part    /* Reverse offset to the part number */
-.long CONFIG_PAYLOAD_SIZE + CONFIG_ROM_IMAGE_SIZE  /* Size of this romimage */
+.long CONFIG_ROM_SIZE           /* Size of this romimage */
 	.globl __id_end
 
 __id_end:
Index: targets/iwill/dk8s2/Config.lb
===================================================================
--- targets/iwill/dk8s2/Config.lb	(Revision 4716)
+++ targets/iwill/dk8s2/Config.lb	(Arbeitskopie)
@@ -133,10 +133,6 @@
 	option CONFIG_ROM_SECTION_SIZE  = (CONFIG_ROM_SIZE - CONFIG_FALLBACK_SIZE)
 	option CONFIG_ROM_SECTION_OFFSET= 0
 
-	option CONFIG_PAYLOAD_SIZE            = (CONFIG_ROM_SECTION_SIZE - CONFIG_ROM_IMAGE_SIZE)
-	option CONFIG_ROM_PAYLOAD_START = (0xffffffff - CONFIG_ROM_SIZE + CONFIG_ROM_SECTION_OFFSET + 1)
-	option CONFIG_ROMBASE      = (CONFIG_ROM_PAYLOAD_START + CONFIG_PAYLOAD_SIZE)
-
 #	option CONFIG_XIP_ROM_SIZE = CONFIG_FALLBACK_SIZE
         option CONFIG_XIP_ROM_SIZE = 65536
 
@@ -152,10 +148,6 @@
 	option CONFIG_ROM_SECTION_SIZE  = CONFIG_FALLBACK_SIZE
 	option CONFIG_ROM_SECTION_OFFSET= (CONFIG_ROM_SIZE - CONFIG_FALLBACK_SIZE)
 
-	option CONFIG_PAYLOAD_SIZE            = (CONFIG_ROM_SECTION_SIZE - CONFIG_ROM_IMAGE_SIZE)
-	option CONFIG_ROM_PAYLOAD_START = (0xffffffff - CONFIG_ROM_SIZE + CONFIG_ROM_SECTION_OFFSET + 1)
-	option CONFIG_ROMBASE      = (CONFIG_ROM_PAYLOAD_START + CONFIG_PAYLOAD_SIZE)
-
 #	option CONFIG_XIP_ROM_SIZE = CONFIG_FALLBACK_SIZE
 	option CONFIG_XIP_ROM_SIZE = 65536
 	option CONFIG_XIP_ROM_BASE = (CONFIG_ROMBASE + CONFIG_ROM_IMAGE_SIZE - CONFIG_XIP_ROM_SIZE)
Index: targets/iwill/dk8x/Config.lb
===================================================================
--- targets/iwill/dk8x/Config.lb	(Revision 4716)
+++ targets/iwill/dk8x/Config.lb	(Arbeitskopie)
@@ -133,10 +133,6 @@
 	option CONFIG_ROM_SECTION_SIZE  = (CONFIG_ROM_SIZE - CONFIG_FALLBACK_SIZE)
 	option CONFIG_ROM_SECTION_OFFSET= 0
 
-	option CONFIG_PAYLOAD_SIZE            = (CONFIG_ROM_SECTION_SIZE - CONFIG_ROM_IMAGE_SIZE)
-	option CONFIG_ROM_PAYLOAD_START = (0xffffffff - CONFIG_ROM_SIZE + CONFIG_ROM_SECTION_OFFSET + 1)
-	option CONFIG_ROMBASE      = (CONFIG_ROM_PAYLOAD_START + CONFIG_PAYLOAD_SIZE)
-
 #	option CONFIG_XIP_ROM_SIZE = CONFIG_FALLBACK_SIZE
         option CONFIG_XIP_ROM_SIZE = 65536
 
@@ -152,10 +148,6 @@
 	option CONFIG_ROM_SECTION_SIZE  = CONFIG_FALLBACK_SIZE
 	option CONFIG_ROM_SECTION_OFFSET= (CONFIG_ROM_SIZE - CONFIG_FALLBACK_SIZE)
 
-	option CONFIG_PAYLOAD_SIZE            = (CONFIG_ROM_SECTION_SIZE - CONFIG_ROM_IMAGE_SIZE)
-	option CONFIG_ROM_PAYLOAD_START = (0xffffffff - CONFIG_ROM_SIZE + CONFIG_ROM_SECTION_OFFSET + 1)
-	option CONFIG_ROMBASE      = (CONFIG_ROM_PAYLOAD_START + CONFIG_PAYLOAD_SIZE)
-
 #	option CONFIG_XIP_ROM_SIZE = CONFIG_FALLBACK_SIZE
 	option CONFIG_XIP_ROM_SIZE = 65536
 	option CONFIG_XIP_ROM_BASE = (CONFIG_ROMBASE + CONFIG_ROM_IMAGE_SIZE - CONFIG_XIP_ROM_SIZE)
Index: targets/arima/hdama/Config.kernelimage.lb
===================================================================
--- targets/arima/hdama/Config.kernelimage.lb	(Revision 4716)
+++ targets/arima/hdama/Config.kernelimage.lb	(Arbeitskopie)
@@ -10,7 +10,6 @@
 uses CONFIG_COMPRESS
 uses CONFIG_IOAPIC
 uses CONFIG_ROM_PAYLOAD
-uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_UDELAY_TSC
 uses CPU_FIXUP
 uses CONFIG_HAVE_FALLBACK_BOOT
@@ -29,7 +28,6 @@
 uses CONFIG_SMP
 uses CONFIG_MAX_CPUS
 uses CONFIG_MEMORY_HOLE
-uses CONFIG_PAYLOAD_SIZE
 uses CONFIG_RAMBASE
 uses CONFIG_ROMBASE
 uses CONFIG_ROM_IMAGE_SIZE
